package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
/**
 * @author lsw
 * @date 2024-06-15
 */
@Data
@TableName(value = "tb_favorite")
@Accessors(chain = true)
public class Favorite{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "职位id")
    private Long positionId;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(exist = false)
    @ApiModelProperty(value = "职位名称")
    private String title;

    @TableField(exist = false)
    @ApiModelProperty(value = "类型： 0全职 1兼职")
    private Integer type;

    @TableField(exist = false)
    @ApiModelProperty(value = "薪资范围")
    private String salary;

    @TableField(exist = false)
    @ApiModelProperty(value = "详细地址")
    private String address;
}
