package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.Date;
/**
 * @author lsw
 * @date 2024-06-04
 */
@Data
@TableName(value = "tb_resume")
@Accessors(chain = true)
public class Resume{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @NotBlank(message = "姓名不能为空")
    @ApiModelProperty(value = "姓名")
    private String name;

    @NotBlank(message = "头像不能为空")
    @ApiModelProperty(value = "头像")
    private String avatar;

    @NotBlank(message = "性别不能为空")
    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄:根=据出生年月自动计算")
    private Integer age;

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号")
    private String phone;

    @NotBlank(message = "出生年月不能为空")
    @ApiModelProperty(value = "出生年月")
    private String birthday;

    @NotBlank(message = "邮箱不能为空")
    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "职位id")
    private Long positionId;

    @ApiModelProperty(value = "职位名称")
    private String positionName;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
