package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
/**
 * @author lsw
 * @date 2024-06-13
 */
@Data
@TableName(value = "tb_resume_deliver")
@Accessors(chain = true)
public class ResumeDeliver{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "类型： 0全职 1兼职")
    private Integer type;

    @ApiModelProperty(value = "关联账号")
    private Long userId;

    @ApiModelProperty(value = "企业id")
    private Long enterpriseId;

    @ApiModelProperty(value = "职位id")
    private Long positionId;

    @ApiModelProperty(value = "投递状态:0=投递简历,1=面试邀请")
    private Integer state;

    @ApiModelProperty(value = "接受邀请:1=接受,2=不接受")
    private Integer isAccept;

    @ApiModelProperty(value = "是否查看:0=待查看,1=已查看")
    private Integer isRead;

    @ApiModelProperty(value = "是否签订合同:0=未发送,1=已发送,2=已签订")
    private Integer isContract;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField(exist = false)
    @ApiModelProperty(value = "职位名称")
    private String title;

    @TableField(exist = false)
    @ApiModelProperty(value = "薪资范围")
    private String salary;

    @TableField(exist = false)
    @ApiModelProperty(value = "详细地址")
    private String address;

    @TableField(exist = false)
    @ApiModelProperty(value = "经度")
    private String longitude;

    @TableField(exist = false)
    @ApiModelProperty(value = "维度")
    private String latitude;

    @JsonIgnore
    @TableField(exist = false)
    private Integer minAge;

    @JsonIgnore
    @TableField(exist = false)
    private Integer maxAge;

    @JsonIgnore
    @TableField(exist = false)
    private Integer minExperience;

    @JsonIgnore
    @TableField(exist = false)
    private Integer maxExperience;

}
