package com.ruoyi.web.work.domain.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author lsw
 * @date 2024-06-07
 */
@Data
@Accessors(chain = true)
public class FullTimeDto {

    @ApiModelProperty(value = "关联账号")
    private Long userId;

    @ApiModelProperty(value = "类型： 0全职 1兼职")
    private Integer type;

    @ApiModelProperty(value = "职位名称")
    private String title;

    @ApiModelProperty(value = "职位要求")
    private String contents;

    @ApiModelProperty(value = "职位分类id")
    private Long positionId;

    @ApiModelProperty(value = "职位分类名称")
    private String positionName;

    @ApiModelProperty(value = "经验要求")
    private String experience;

    @ApiModelProperty(value = "薪资范围")
    private String salary;

    @ApiModelProperty(value = "最小薪资")
    private Integer min;

    @ApiModelProperty(value = "最大薪资")
    private Integer max;

    @ApiModelProperty(value = "职位关键字")
    private String tags;

    @ApiModelProperty(value = "城市名称")
    private String cityName;

    @ApiModelProperty(value = "地区ancestors")
    private String ancestors;

    @ApiModelProperty(value = "地区名称")
    private String regionName;

    @ApiModelProperty(value = "地点名")
    private String location;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "楼层/单元室/门牌号")
    private String mph;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "维度")
    private String latitude;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
